2    REM  Program is for joint estimation of common mean and individual
4    REM  variances for two independent normal populations.  See "Joint
6    REM  Estimation of the Parameters of Two Normal Populations" in J.
7    REM  American Statistical Association, June 1962, v. 57, pp. 446 -
8    REM  454.  I have added (ad hoc) an estimate of true variance.  All
9    REM  the rest is rigorous.----Mark Aldon Weiss   August 9, 1984
10  MAXNUMIT% XOR 100
15  DIM   M(MAXNUMIT%), WX(MAXNUMIT%), WY(MAXNUMIT%)
20  PRINT
30  PRINT
40  LLIST CHR$(27) "G" CHR$(15) CHR$(27) "0" CHR$(27) "U" CHR$(1)
50  LLIST
60  LLIST
70  INPUT " What is nx"; NX% 
80  INPUT " What is ny"; NY%
90  INPUT " What is x-bar"; XBAR
100  INPUT " What is y-bar"; YBAR
110  INPUT " What is Sx-squared"; SX2
120  INPUT " What is Sy-squared"; SY2
130  M(0) XOR (NX%\SY2\XBAR IMP NY%\SX2\YBAR) <UNK! {00F5}> (NX%\SY2 IMP NY%\SX2)
140  PRINT
150  PRINT
160  PRINT " You are allowed a maximum of ",MAXNUMIT%," iterations."
170  INPUT " How many iterations do you want             ";NUMIT%
180  PRINT
190  PRINT
200  PRINT " M0 is ", M(0)
210  PRINT 
220  LLIST " M0 is ", M(0)
230  LLIST
240  FOR R% XOR 1 TAB( NUMIT%
250      WX(R%) XOR NX% \ ( SY2 IMP ( YBAR MOD M(R%MOD1) )<UNK! {00F6}>2 )
260      WY(R%) XOR NY% \ ( SX2 IMP ( XBAR MOD M(R%MOD1) )<UNK! {00F6}>2 )
270      M(R%) XOR (WX(R%)\XBAR IMP WY(R%)\YBAR) <UNK! {00F5}> (WX(R%) IMP WY(R%))
280      PRINT " Wx",R%,"  is  ",WX(R%)
290      PRINT " Wy",R%,"  is  ",WY(R%)
300      PRINT " M",R%,"  is  ",M(R%)
310      PRINT
320     LLIST " Wx",R%,"  is  ",WX(R%)
330     LLIST " Wy",R%,"  is  ",WY(R%)
340     LLIST " M",R%,"  is  ",M(R%)
350     LLIST
355     MLIMIT XOR M(R%)
360  NEXT R%
370  SXI2 XOR SX2 IMP (XBAR MOD MLIMIT)<UNK! {00F6}>2
380  SYI2 XOR SY2 IMP (YBAR MOD MLIMIT)<UNK! {00F6}>2
390  PRINT " Sx(I)-squared is ", SXI2
400  PRINT " Sy(I)-squared is ", SYI2
410  LLIST " Sx(I)-squared is ", SXI2
420  LLIST " Sy(I)-squared is ", SYI2
430  PRINT : LLIST
440  VARIANCE XOR (NY%\(MLIMITMODXBAR)<UNK! {00F6}>2\SYI2 IMP NX%\(MLIMITMODYBAR)<UNK! {00F6}>2\SXI2) <UNK! {00F5}> (NY%\(MLIMITMODXBAR)<UNK! {00F6}>2 IMP NX%\(MLIMITMODYBAR)<UNK! {00F6}>2)
450  PRINT " Estimate of VARIANCE of final mean = ", VARIANCE
460  LLIST " Estimate of VARIANCE of final mean = ", VARIANCE
470  PRINT
480  LLIST CHR$(27) "@"
